#include <Stepper.h>

    //Stepper Motor
const int stepsPerRevolution = 200; // 200 step per revolution motor.
int stepCount = 0;  // number of steps the motor has taken
    // initialize the stepper library on pins 8 through 11:
Stepper myStepper(stepsPerRevolution, 8, 9, 10, 11);

    // Output
int FencePin = 9;      // Fence 
int MillPin = 10;      // Mill 
int Mill,Fence;        //valore pin

int potPin = A2;        //Analog Pin Potentiometer input
long int inByte;        //
int wait = 10;          //10ms
int valPot,valMap;


void setup()
{
  pinMode(FencePin, OUTPUT);   // pin's settings
  pinMode(MillPin, OUTPUT);   
  
  
    // Test hardware iniziale
  Serial.begin(9600);

// Main program
void loop()
{
 if (Serial.available() >0) {
    inByte = Serial.read();
     if (inByte == 'V') {
       Fence=Serial.read();}
     else if(inByte == 'R'){
       Mill=Serial.read();}
  else {}  
}
    // read the sensor value:
 int valPot = analogRead(A0);
    // map it to a range from 0 to 100:
 int motorSpeed = map(valPot, 0, 1023, 0, 200);
    // set the motor speed:
 if (motorSpeed > 0) {
   myStepper.setSpeed(motorSpeed);
    // step 1/100 of a revolution:
   myStepper.step(stepsPerRevolution / 100);
  }

  //outputColour(red, green, blue);
  //delay(wait);
  valPot = analogRead(potPin);
  delay(10);
  valMap = map(valPot,0,1023,0,45);//mapp values to have 0-45 (degree)
  Serial.write(valMap);
  delay (5000);
   Serial.write(valPot);
}

